Loading...
Searching...
No Matches
EST_TNamedEnumI< ENUM, INFO > Class Template Reference
Inheritance diagram for EST_TNamedEnumI< ENUM, INFO >:
[legend]
Collaboration diagram for EST_TNamedEnumI< ENUM, INFO >:
[legend]

## Public Member Functions

| EST_TNamedEnumI (EST_TValuedEnumDefinition< ENUM, const char *, INFO > defs[])
| EST_TNamedEnumI (EST_TValuedEnumDefinition< const char *, const char *, INFO > defs[], ENUM(*conv)(const char *))
const char * | name (ENUM tok, int n=0) const
Public Member Functions inherited from EST_TValuedEnumI< ENUM, const char *, INFO >
int | n (void) const
ENUM | token (const char *value) const
ENUM | nth_token (int n) const
const char * | value (ENUM token, int n=0) const
INFO & | info (ENUM token) const
ENUM | unknown_enum (void) const
const char * | unknown_value (void) const
int | valid (ENUM token) const

## Protected Member Functions

int | eq_vals (const char *v1, const char *v2) const
Protected Member Functions inherited from EST_TValuedEnumI< ENUM, const char *, INFO >
void | initialise (const void *defs)

## Additional Inherited Members

Protected Attributes inherited from EST_TValuedEnumI< ENUM, const char *, INFO >
int | ndefinitions
ENUM | p_unknown_enum
const char * | p_unknown_value
EST_TValuedEnumDefinition< ENUM, const char *, INFO > * | definitions

## Detailed Description

template<class ENUM, class INFO>
class EST_TNamedEnumI< ENUM, INFO >

Definition at line 122 of file EST_TNamedEnum.h.

## Constructor & Destructor Documentation

## EST_TNamedEnumI() [1/3]

template<class ENUM, class INFO>

EST_TNamedEnumI< ENUM, INFO >::EST_TNamedEnumI | ( | void |  | ) |

inline protected

Definition at line 125 of file EST_TNamedEnum.h.

## EST_TNamedEnumI() [2/3]

template<class ENUM, class INFO>

EST_TNamedEnumI< ENUM, INFO >::EST_TNamedEnumI | ( | EST_TValuedEnumDefinition< ENUM, const char *, INFO > | defs[] | ) |

inline

Definition at line 129 of file EST_TNamedEnum.h.

## EST_TNamedEnumI() [3/3]

template<class ENUM, class INFO>

EST_TNamedEnumI< ENUM, INFO >::EST_TNamedEnumI | ( | EST_TValuedEnumDefinition< const char *, const char *, INFO > | defs[],
|  | ENUM(* | conv )(const char *) )

inline

Definition at line 131 of file EST_TNamedEnum.h.

## Member Function Documentation

## eq_vals()

template<class ENUM, class INFO>

int EST_TNamedEnumI< ENUM, INFO >::eq_vals | ( | const char * | v1,
|  | const char * | v2 ) const

inline protected virtual

Reimplemented from EST_TValuedEnumI< ENUM, const char *, INFO >.

Definition at line 126 of file EST_TNamedEnum.h.

## name()

template<class ENUM, class INFO>

const char * EST_TNamedEnumI< ENUM, INFO >::name | ( | ENUM | tok,
|  | int | n = 0 ) const

inline

Definition at line 133 of file EST_TNamedEnum.h.

The documentation for this class was generated from the following file:

- include/EST_TNamedEnum.h